### DbEnv::log_cursor |

`

###

    #include <db_cxx.h>

    int
    DbEnv::log_cursor(DbLogc **cursorp, u_int32_t flags);

### Description: DbEnv::log_cursor

The DbEnv::log_cursor method returns a created log cursor.

The DbEnv::log_cursor method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

cursorp
  The cursorp parameter references memory into which a pointer to the created log cursor is copied.

flags
  The flags parameter is currently unused, and must be set to 0.

### Errors

The DbEnv::log_cursor method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.